------------------------------------------------------------------------------------
--Name:  	ValentineDay2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-01-21
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(424, 519)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:SetViewScale(200)
local Effect_2 = CppScriptMgr:AddEffect("CartoonDisplay", 414, 519, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2000)
local Effect_3 = CppScriptMgr:AddEffect("cyclonexian", 424, 519, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(790)
local Player_2 = CppScriptMgr:AddSimplePlayer(1062442, 442, 521, "Agnes", 0, 0)
Player_2:SetZoomPercent(150)
Player_2:SetDir(2)
local Player_3 = CppScriptMgr:AddSimplePlayer(1061780, 440, 517, "Leon", 0, 0)
Player_3:SetZoomPercent(150)
Player_3:SetDir(2)
Player_2:RunTo(432, 521)
Player_3:RunTo(430, 517)
local Player_1 = CppScriptMgr:AddSimplePlayer(1061790, 425, 519, "Odette", 0, 0)
Player_1:SetAction(331)
Player_1:SetFrameInterval(100000)
Player_1:SetZoomPercent(150)
CppScriptMgr:WaitMilSec(1210)
Player_3:Say("Look! There is a girl!", 1500)
CppScriptMgr:WaitMilSec(1980)